Skip to main content
POST
Error

Authorizations

x-aura-developer-key
string
header
required

Builder identity and quota key. It never substitutes for a wallet session or restricted trading authorization and can never sign or custody assets.

Path Parameters

address
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$

Body

application/json
outcome
enum<string>
required
Available options:
yes,
no
side
enum<string>
required
Available options:
buy,
sell
orderType
enum<string>
required
Available options:
gtc_limit,
ioc_market
quantityBaseUnits
string

Exact token base-unit quantity encoded as canonical JSON string.

Pattern: ^(0|[1-9][0-9]*)$
spendBaseUnits
string

Exact token base-unit quantity encoded as canonical JSON string.

Pattern: ^(0|[1-9][0-9]*)$
limitPriceTick
integer

Price as integer ticks of 0.001 (0=No, 1000=Yes).

Required range: 0 <= x <= 1000
costBoundBaseUnits
string

Exact token base-unit quantity encoded as canonical JSON string.

Pattern: ^(0|[1-9][0-9]*)$
feeCapBps
integer
Required range: 0 <= x <= 65535
allowPartialFill
boolean
default:true
expectedBookVersion
string

Exact token base-unit quantity encoded as canonical JSON string.

Pattern: ^(0|[1-9][0-9]*)$

Response

Default Response

marketAddress
string
required

Alephium address (base58, optional :N group suffix).

Required string length: 30 - 80
Pattern: ^[123456789ABCDEFGHJKLMNPQRSTUVWXYZabcdefghijkmnopqrstuvwxyz:]+$
marketId
string
required
Pattern: ^[0-9a-f]{64}$
request
object
required
estimate
object
required
spendable
object
required
bookVersion
string
required

Exact token base-unit quantity encoded as canonical JSON string.

Pattern: ^(0|[1-9][0-9]*)$
streamCursor
string
required
quotedAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
expiresAt
string<date-time>
required
Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
warnings
object[]
required
guaranteed
enum<boolean>
required
Available options:
false
Last modified on August 11, 2026